Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
How to find those, and code examples.
X-Request-Id
curl -v -X 'GET' \ 'https://api.rated.network/v0/eth/validators/69/effectiveness' \ -H 'accept: application/json' \ -H 'X-Rated-Network: mainnet' \ -H 'Authorization: Bearer <YOUR-TOKEN-HERE>' ... * Mark bundle as not supporting multiuse < HTTP/1.1 401 Unauthorized < access-control-expose-headers: X-Request-ID < content-length: 45 < content-type: application/json < date: Wed, 19 Apr 2023 19:32:56 GMT < server: envoy < www-authenticate: Bearer < x-request-id: 4b07649d-a553-4f1a-8be9-9a7a514ffcf9 < x-envoy-upstream-service-time: 11 < * Connection #0 to host api.rated.network left intact
# my_token contains a JWT you got previously from console.rated.network/apiKeys import requests response = requests.get( "https://api.rated.network/v0/eth/validators/69/effectiveness", headers={"Authorization": f"Bearer {my_token}"}, ) try: response.raise_for_status() except requests.exceptions.HTTPError: print(response.headers["x-request-id"])